Name: davfs2
Version: 1.3.3
Release: alt2

Summary: Linux file system driver that allows you to mount a WebDAV server as a local file system.
License: GPL
Group: Networking/Other
Url: http://dav.sourceforge.net/

Packager: Sergey Kurakin <kurakin@altlinux.org>

Source: %name-%version.tar.gz
Patch0: %name-1.3.3-alt-gcc4.3.patch

BuildRequires: libneon-devel zlib-devel

%description
WebDAV is an extension to HTTP that allows remote collaborative authoring
of Web resources, defined in RFC 4918.

davfs2 is a Linux file system driver that allows you to mount a WebDAV server
as a local file system, like a disk drive. This way applications can access resources
on a Web server without knowing anything about HTTP or WebDAV.

davfs2 runs as a daemon in userspace. It uses the kernel file system fuse.
To connect to the WebDAV server it makes use of the neon library.
Neon supports TLS/SSL (using OpenSSL or GnuTLS) and access via proxy server.

%prep
%setup -n %name-%version
%patch0 -p1

%build
%configure
%make_build

%install
%make_install install DESTDIR=%buildroot
ln -sf %_sbindir/mount.davfs %buildroot/sbin/mount.davfs
ln -sf %_sbindir/umount.davfs %buildroot/sbin/umount.davfs
%find_lang %name

%pre
# Add davfs2 group
%_sbindir/groupadd -r -f davfs2 2>/dev/null || :

%files -f %name.lang
%doc ABOUT-NLS AUTHORS ChangeLog FAQ INSTALL INSTALL.davfs2 NEWS README README.translators TODO THANKS
%config %_sysconfdir/%name/*
/sbin/mount.davfs
/sbin/umount.davfs
%_sbindir/*
%_man5dir/*
%_man8dir/*
%_datadir/%name

%changelog
* Tue Oct 28 2008 Sergey Kurakin <kurakin@altlinux.org> 1.3.3-alt2
- fixed build with gcc4.3

* Mon Aug 25 2008 Sergey Kurakin <kurakin@altlinux.ru> 1.3.3-alt1
- 1.3.3

* Thu Jun 27 2008 Sergey Kurakin <kurakin@altlinux.ru> 1.3.2-alt2
- build with libneon 0.28

* Thu Jun  5 2008 Sergey Kurakin <kurakin@altlinux.ru> 1.3.2-alt1
- new version (bugfix release)

* Wed Apr 23 2008 Sergey Kurakin <kurakin@altlinux.ru> 1.3.0-alt2
- user configuration templates moved back to /usr/share/davfs2/

* Wed Feb 27 2008 Sergey Kurakin <kurakin@altlinux.ru> 1.3.0-alt1
- initial build for Sisyphus

